Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class WorkflowInUseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.WorkflowInUseException

All Implemented Interfaces
  Serializable

    public class WorkflowInUseException

extends RepositoryException

Thrown if an operation on a PropertyChoice that does not exist occurs.

See Also
  Serialized Form

Constructor Summary
`WorkflowInUseException(String message)` Constructs a new WorkflowInUseException with the given message.
`WorkflowInUseException(String message, Throwable cause)` Constructs a new WorkflowInUseException with the given message and underlying cause.
`WorkflowInUseException(String message, Throwable cause, boolean log)` Constructs a new WorkflowInUseException with the given message and underlying cause.
`WorkflowInUseException(Throwable cause)` Constructs a new WorkflowInUseException with the underlying cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkflowInUseException

    public WorkflowInUseException(String message)

  Constructs a new WorkflowInUseException with the given message.

  Parameters
    `message` - Message detailing the exception.

### WorkflowInUseException

    public WorkflowInUseException(String message,
                                  Throwable cause)

  Constructs a new WorkflowInUseException with the given message and underlying cause.

  Parameters
    `message` - Message detailing the exception.
    `cause` - The underlying cause of the exception.

### WorkflowInUseException

    public WorkflowInUseException(Throwable cause)

  Constructs a new WorkflowInUseException with the underlying cause.

  Parameters
    `cause` - The underlying cause of the exception.

### WorkflowInUseException

    public WorkflowInUseException(String message,
                                  Throwable cause,
                                  boolean log)

  Constructs a new WorkflowInUseException with the given message and underlying cause.

  Parameters
    `message` - Message detailing the exception.
    `cause` - The underlying cause of the exception.
    `log` - If true then the exception will be logged.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved